Accepter un consentement
curl --request PUT \
--url https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/acceptance \
--header 'Content-Type: application/json' \
--data '
{
"marque": "<string>",
"modele": "<string>",
"numeroSerie": "<string>"
}
'import requests
url = "https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/acceptance"
payload = {
"marque": "<string>",
"modele": "<string>",
"numeroSerie": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({marque: '<string>', modele: '<string>', numeroSerie: '<string>'})
};
fetch('https://egimgarsud.gimpayapp.com/api/v1/consents/{refConsent}/acceptance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123,
"body": {},
"timestamp": "2023-11-07T05:31:56Z"
}Gestion de consentements
Accepter un consentement
Permet de valider un consentement identifié par sa référence. Les informations du terminal ayant servi à l’acceptation (numéro de série, marque et modèle) sont enregistrées afin d’assurer la traçabilité de l’opération.
PUT
/
api
/
v1
/
consents
/
{refConsent}
/
acceptance
Accepter un consentement
Path Parameters
Body
application/json
Response
200 - */*
OK
⌘I